Page MenuHomePhabricator

New Pages Feed: Disable page curation toolbar in draft namespace (1.6)
Closed, ResolvedPublic3 Story Points

Description

e.g. https://test.wikipedia.org/wiki/Draft:Foobar

The page curation toolbar is shown on the right (if not, click on "Curate this article" under "Tools" in the left-side navigation).

Only two buttons are available -- "Minimize" (works fine) and "Go to the next page in the queue". The latter goes to a page in the mainspace, not in the draftspace. For now, we should hide the toolbar entirely in the draftspace. In the future we might look into making the toolbar correctly navigate through the draft feed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2018, 3:50 PM
MusikAnimal updated the task description. (Show Details)Jun 29 2018, 4:02 PM
MMiller_WMF renamed this task from Fix or disable page curation toolbar in draft namespace to New Pages Feed: fix or disable page curation toolbar in draft namespace.Jun 29 2018, 4:26 PM

@MusikAnimal -- thanks for noticing this. I don't think I have the ability to see the toolbar in Test Wiki. Could you set me up?

In any case, I think we should hide the toolbar for the AfC use case. The AFCH gadget has some of that functionality (like checkboxes for marking for speedy deletion and buttons for going to the next submission), and I think that AfC community would want to decide whether adding the toolbar to their world would help or add confusion.

When we ask the community to test the functionality in Test Wiki on Monday, I will ask their thoughts on this. But let's hide it for now.

MMiller_WMF renamed this task from New Pages Feed: fix or disable page curation toolbar in draft namespace to New Pages Feed: fix or disable page curation toolbar in draft namespace (1.6).Jun 29 2018, 4:40 PM

Sounds good! Makes it easier for us :) You are now a sysop on testwiki and should be able to patrol pages.

I'm still working on the AFCH script. The gadget is there but it's not loading for some reason.

You are now a sysop on testwiki and should be able to patrol pages.

Unrelated, this now will allow you to set up two factor authentication on your global account, if you want! :)

Also as a heads up - Roan ran full scap yesterday to rebuild the i18n messages i.e. to replace the <pagetriage-afc-blah> message keys with real messages but it did not work. i18n things are broken on testwiki (see T197450) and we won't be able to fix it soon probably.
I checked and it is also broken on test2wiki.
So I believe our best option is to direct users to beta cluster. We'd need to submit a config change for the changes to show up there. The code should be deployed there already, IIRC.

kaldari set the point value for this task to 3.Jul 3 2018, 11:19 PM

Change 444737 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/extensions/PageTriage@master] Don't show Page Curation toolbar in draftspace

https://gerrit.wikimedia.org/r/444737

MusikAnimal moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Test failure is the same as usual. We should really figure that one out..! Patch is otherwise ready for review

MusikAnimal renamed this task from New Pages Feed: fix or disable page curation toolbar in draft namespace (1.6) to New Pages Feed: Disable page curation toolbar in draft namespace (1.6).Jul 10 2018, 1:15 AM
MusikAnimal updated the task description. (Show Details)

Change 444737 merged by Samwilson:
[mediawiki/extensions/PageTriage@master] Don't show Page Curation toolbar in draftspace

https://gerrit.wikimedia.org/r/444737

@Samwilson @MusikAnimal -- I am still seeing the toolbar on drafts in Test Wiki. Here is a screenshot from Test Draft 004:

That's okay, testwiki is one commit behind at the mo'; it'll be updated in about 7 hours (I think?).

That's okay, testwiki is one commit behind at the mo'; it'll be updated in about 7 hours (I think?).

I think this patch missed the train because of the merge issues; it's not tagged as wmf.12 (which is current deployed version), so it will be in the next train, and should be available on group0 (test wiki included) on Tuesday afternoon.

@Etonkovidova -- this will soon be ready for you to test.

The patch should be live on testwiki

Etonkovidova closed this task as Resolved.Aug 4 2018, 1:17 AM

Checked in testwiki - the toolbar won't be displayed. Only the link [Mark this page as patrolled] which will be addressed in T201098: [testwiki] NPP: 'Mark as patrolled' link is present Draft namespace articles.